Name:           maven-doxia-sitetools
Version:        1.7.5
Release:        5
Summary:        Doxia content generation framework
License:        ASL 2.0
URL:            https://maven.apache.org/doxia/
Source0:        http://archive.apache.org/dist/maven/doxia/doxia-sitetools-%{version}-source-release.zip

Patch0001:      0001-Port-to-plexus-utils-3.0.24.patch
Patch0002:      0002-Remove-dependency-on-velocity-tools.patch

BuildArch:      noarch
BuildRequires:  maven-local apache-commons-collections apache-commons-io apache-commons-lang
BuildRequires:  maven-doxia-core maven-doxia-logging-api maven-doxia-module-apt plexus-i18n
BuildRequires:  maven-doxia-module-fml maven-doxia-module-fo maven-doxia-module-markdown modello
BuildRequires:  maven-doxia-module-xdoc maven-doxia-module-xhtml maven-doxia-sink-api velocity
BuildRequires:  maven maven-artifact-manager maven-artifact maven-model maven-parent maven-project
BuildRequires:  plexus-containers-component-annotations plexus-containers-component-metadata
BuildRequires:  plexus-containers-container-default plexus-interpolation xml-commons-apis  
BuildRequires:  plexus-interpolation plexus-velocity xalan-j2 plexus-utils

Provides:      maven-doxia-tools = %{version}-%{release}
Obsoletes:     maven-doxia-tools < 1.7

Provides:      %{name}-javadoc = %{version}-%{release}
Obsoletes:     %{name}-javadoc < %{version}-%{release}

%description
Doxia is a content generation framework which aims to provide its users with powerful 
techniques for generating static and dynamic content: Doxia can be used in web-based 
publishing context to generate static sites, in addition to being incorporated into 
dynamic content generation systems like blogs, wikis and content management systems.

%prep
%autosetup -n doxia-sitetools-%{version} -p1

%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_remove_plugin :apache-rat-plugin
%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_remove_plugin :maven-enforcer-plugin
%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_remove_plugin org.codehaus.mojo:clirr-maven-plugin
%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_remove_dep net.sourceforge.htmlunit:htmlunit doxia-site-renderer/pom.xml
%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_remove_dep -r :velocity-tools
%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_xpath_inject 'pom:plugin[pom:artifactId[text()='\''modello-maven-plugin'\'']]/pom:configuration' \
    "<useJava5>true</useJava5>" doxia-decoration-model

rm -rf $(find -type d -name itext)

%{_bindir}/python3 %{_datadir}/java-utils/pom_editor.py pom_remove_dep -r :doxia-module-itext
%{_bindir}/python3 %{_datadir}/java-utils/mvn_alias.py :doxia-integration-tools org.apache.maven.shared:maven-doxia-tools

%build
export MAVEN_OPTS="-Xmx512m -XX:MaxPermSize=128m"
%mvn_build -f

%install
%mvn_install

%files
%defattr(-,root,root)
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%changelog
* Tue Feb 11 2020 lihao <lihao129@huawei.com> - 1.7.5-5
- Package init
